# Class DayPilotCalendar

java.lang.Object
org.daypilot.ui.DayPilotCalendar

public class DayPilotCalendar extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DayPilotCalendar()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JSONObject`
  `callback(JSONObject input)`
  `String`
  `getBackColor()`
  `int`
  `getBusinessBeginsHour()`
  `int`
  `getBusinessEndsHour()`
  `int`
  `getCellDuration()`
  `JSONObject`
  `getClientState()`
  `ColumnCollection`
  `getColumns()`
  `String`
  `getCssClassPrefix()`
  `String`
  `getDataAllDayField()`
  `String`
  `getDataEndField()`
  `String`
  `getDataRecurrenceField()`
  `String`
  `getDataResourceField()`
  `String`
  `getDataStartField()`
  `String`
  `getDataTagFields()`
  `protected String[]`
  `getDataTagFieldsSplit()`
  `String`
  `getDataTextField()`
  `String`
  `getDataValueField()`
  `int`
  `getDayBeginsHour()`
  `int`
  `getDayEndsHour()`
  `int`
  `getDays()`
  `Collection`
  `getEvents()`
  `String`
  `getEventSortExpression()`
  `DayOfWeek`
  `getFirstDayOfWeek()`
  `String`
  `getHeaderDateFormat()`
  `int`
  `getHeaderLevels()`
  `HeightSpec`
  `getHeightSpec()`
  `String`
  `getHourFontColor()`
  `String`
  `getHourFontFamily()`
  `String`
  `getHourFontSize()`
  `String`
  `getId()`
  `Locale`
  `getLocale()`
  `String`
  `getNonBusinessBackColor()`
  `javax.servlet.http.HttpServletRequest`
  `getRequest()`
  `protected DayOfWeek`
  `getResolvedWeekStart()`
  `javax.servlet.http.HttpServletResponse`
  `getResponse()`
  `String`
  `getSelectedEventValue()`
  `DateTime`
  `getStartDate()`
  `TimeFormat`
  `getTimeFormat()`
  `int`
  `getTimeHeaderCellDuration()`
  `UpdateType`
  `getUpdateType()`
  `ViewType`
  `getViewType()`
  `DateTime`
  `getVisibleEnd()`
  `DateTime`
  `getVisibleStart()`
  `WeekStarts`
  `getWeekStarts()`
  `boolean`
  `isCssOnly()`
  `boolean`
  `isEventHeaderVisible()`
  `boolean`
  `isUseUtcDates()`
  `void`
  `onBeforeCellRender(BeforeCellRenderArgs ea)`
  `void`
  `onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea)`
  `void`
  `onBeforeEventRender(BeforeEventRenderArgs ea)`
  `void`
  `onBeforeHeaderRender(BeforeHeaderRenderArgs ea)`
  `void`
  `onBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea)`
  `void`
  `onCommand(CommandArgs ea)`
  `void`
  `onEventBubble(EventBubbleArgs ea)`
  `void`
  `onEventClick(EventClickArgs ea)`
  `void`
  `onEventDelete(EventDeleteArgs ea)`
  `void`
  `onEventDoubleClick(EventDoubleClickArgs ea)`
  `void`
  `onEventEdit(EventEditArgs ea)`
  `void`
  `onEventMenuClick(EventMenuClickArgs ea)`
  `void`
  `onEventMove(EventMoveArgs ea)`
  `void`
  `onEventResize(EventResizeArgs ea)`
  `void`
  `onEventRightClick(EventRightClickArgs ea)`
  `void`
  `onEventSelect(EventSelectArgs ea)`
  `void`
  `onFinish()`
  `void`
  `onHeaderClick(HeaderClickArgs ea)`
  `void`
  `onInit()`
  `void`
  `onNotify(NotifyArgs ea)`
  `void`
  `onPrepare()`
  `void`
  `onTimeRangeDoubleClick(TimeRangeDoubleClickArgs ea)`
  `void`
  `onTimeRangeMenuClick(TimeRangeMenuClick ea)`
  `void`
  `onTimeRangeSelected(TimeRangeSelectedArgs ea)`
  `void`
  `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
  `void`
  `setBackColor(String backColor)`
  `void`
  `setBusinessBeginsHour(int businessBeginsHour)`
  `void`
  `setBusinessEndsHour(int businessEndsHour)`
  `void`
  `setCellDuration(int cellDuration)`
  `void`
  `setClientState(JSONObject clientState)`
  `void`
  `setCssClassPrefix(String cssClassPrefix)`
  `void`
  `setCssOnly(boolean cssOnly)`
  `void`
  `setDataAllDayField(String dataAllDayField)`
  `void`
  `setDataEndField(String dataEndField)`
  `void`
  `setDataRecurrenceField(String dataRecurrenceField)`
  `void`
  `setDataResourceField(String dataResourceField)`
  `void`
  `setDataStartField(String dataStartField)`
  `void`
  `setDataTagFields(String dataTagFields)`
  `void`
  `setDataTextField(String dataTextField)`
  `void`
  `setDataValueField(String dataValueField)`
  `void`
  `setDayBeginsHour(int dayBeginsHour)`
  `void`
  `setDayEndsHour(int dayEndsHour)`
  `void`
  `setDays(int days)`
  `void`
  `setEventHeaderVisible(boolean eventHeaderVisible)`
  `void`
  `setEvents(Collection<?> events)`
  `void`
  `setEventSortExpression(String eventSortExpression)`
  `void`
  `setHeaderDateFormat(String headerDateFormat)`
  `void`
  `setHeaderLevels(int headerLevels)`
  `void`
  `setHeightSpec(HeightSpec heightSpec)`
  `void`
  `setHourFontColor(String hourFontColor)`
  `void`
  `setHourFontFamily(String hourFontFamily)`
  `void`
  `setHourFontSize(String hourFontSize)`
  `void`
  `setLocale(Locale locale)`
  `void`
  `setNonBusinessBackColor(String nonBusinessBackColor)`
  `void`
  `setStartDate(DateTime startDate)`
  `void`
  `setTimeFormat(TimeFormat timeFormat)`
  `void`
  `setTimeHeaderCellDuration(int timeHeaderCellDuration)`
  `void`
  `setUpdateType(UpdateType updateType)`
  `void`
  `setUseUtcDates(boolean useUtcDates)`
  `void`
  `setViewType(ViewType viewType)`
  `void`
  `setWeekStarts(WeekStarts weekStarts)`
  `void`
  `update()`
  Updates the client (using CallBackUpdateType.EVENTS_ONLY).
  `void`
  `update(UpdateType updateType)`
  `void`
  `updateWithMessage(String message, UpdateType type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DayPilotCalendar

    public DayPilotCalendar()

- ## Method Details

  - ### callback

    public JSONObject callback(JSONObject input)

  - ### process

    public void process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

  - ### getDataTagFieldsSplit

    protected String[] getDataTagFieldsSplit()

  - ### getDataValueField

    public String getDataValueField()

  - ### setDataValueField

    public void setDataValueField(String dataValueField)

  - ### getDataTextField

    public String getDataTextField()

  - ### setDataTextField

    public void setDataTextField(String dataTextField)

  - ### getDataStartField

    public String getDataStartField()

  - ### setDataStartField

    public void setDataStartField(String dataStartField)

  - ### getDataEndField

    public String getDataEndField()

  - ### setDataEndField

    public void setDataEndField(String dataEndField)

  - ### getDataResourceField

    public String getDataResourceField()

  - ### setDataResourceField

    public void setDataResourceField(String dataResourceField)

  - ### getEvents

    public Collection getEvents()

  - ### setEvents

    public void setEvents(Collection<?> events)

  - ### update

    public void update(UpdateType updateType)

  - ### update

    public void update()
    Updates the client (using CallBackUpdateType.EVENTS_ONLY).

  - ### updateWithMessage

    public void updateWithMessage(String message, UpdateType type)

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

  - ### getUpdateType

    public UpdateType getUpdateType()

  - ### setUpdateType

    public void setUpdateType(UpdateType updateType)

  - ### onInit

    public void onInit() throws Exception
    Throws:
      `Exception`

  - ### onEventBubble

    public void onEventBubble(EventBubbleArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventDoubleClick

    public void onEventDoubleClick(EventDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeMenuClick

    public void onTimeRangeMenuClick(TimeRangeMenuClick ea)

  - ### onHeaderClick

    public void onHeaderClick(HeaderClickArgs ea)

  - ### onEventSelect

    public void onEventSelect(EventSelectArgs ea)

  - ### onEventMenuClick

    public void onEventMenuClick(EventMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeDoubleClick

    public void onTimeRangeDoubleClick(TimeRangeDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventRightClick

    public void onEventRightClick(EventRightClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventEdit

    public void onEventEdit(EventEditArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventClick

    public void onEventClick(EventClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventDelete

    public void onEventDelete(EventDeleteArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeHeaderRender

    public void onBeforeHeaderRender(BeforeHeaderRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeTimeHeaderRender

    public void onBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventMove

    public void onEventMove(EventMoveArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventResize

    public void onEventResize(EventResizeArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onCommand

    public void onCommand(CommandArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onNotify

    public void onNotify(NotifyArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeSelected

    public void onTimeRangeSelected(TimeRangeSelectedArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeEventRender

    public void onBeforeEventRender(BeforeEventRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeEventRecurrence

    public void onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeCellRender

    public void onBeforeCellRender(BeforeCellRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onFinish

    public void onFinish() throws Exception
    Throws:
      `Exception`

  - ### onPrepare

    public void onPrepare() throws Exception
    Throws:
      `Exception`

  - ### getVisibleStart

    public DateTime getVisibleStart()

  - ### getVisibleEnd

    public DateTime getVisibleEnd()

  - ### getStartDate

    public DateTime getStartDate()

  - ### setStartDate

    public void setStartDate(DateTime startDate)

  - ### getDays

    public int getDays()

  - ### setDays

    public void setDays(int days)

  - ### getCellDuration

    public int getCellDuration()

  - ### setCellDuration

    public void setCellDuration(int cellDuration)

  - ### getHeightSpec

    public HeightSpec getHeightSpec()

  - ### setHeightSpec

    public void setHeightSpec(HeightSpec heightSpec)

  - ### getBusinessBeginsHour

    public int getBusinessBeginsHour()

  - ### setBusinessBeginsHour

    public void setBusinessBeginsHour(int businessBeginsHour)

  - ### getBusinessEndsHour

    public int getBusinessEndsHour()

  - ### setBusinessEndsHour

    public void setBusinessEndsHour(int businessEndsHour)

  - ### getViewType

    public ViewType getViewType()

  - ### setViewType

    public void setViewType(ViewType viewType)

  - ### getDayBeginsHour

    public int getDayBeginsHour()

  - ### setDayBeginsHour

    public void setDayBeginsHour(int dayBeginsHour)

  - ### getHeaderLevels

    public int getHeaderLevels()

  - ### setHeaderLevels

    public void setHeaderLevels(int headerLevels)

  - ### getBackColor

    public String getBackColor()

  - ### setBackColor

    public void setBackColor(String backColor)

  - ### getNonBusinessBackColor

    public String getNonBusinessBackColor()

  - ### setNonBusinessBackColor

    public void setNonBusinessBackColor(String nonBusinessBackColor)

  - ### getColumns

    public ColumnCollection getColumns()

  - ### getHeaderDateFormat

    public String getHeaderDateFormat()

  - ### setHeaderDateFormat

    public void setHeaderDateFormat(String headerDateFormat)

  - ### getLocale

    public Locale getLocale()

  - ### setLocale

    public void setLocale(Locale locale)

  - ### getSelectedEventValue

    public String getSelectedEventValue()

  - ### getDataTagFields

    public String getDataTagFields()

  - ### setDataTagFields

    public void setDataTagFields(String dataTagFields)

  - ### getDataAllDayField

    public String getDataAllDayField()

  - ### setDataAllDayField

    public void setDataAllDayField(String dataAllDayField)

  - ### getId

    public String getId()

  - ### getFirstDayOfWeek

    public DayOfWeek getFirstDayOfWeek()

  - ### isEventHeaderVisible

    public boolean isEventHeaderVisible()

  - ### setEventHeaderVisible

    public void setEventHeaderVisible(boolean eventHeaderVisible)

  - ### getTimeFormat

    public TimeFormat getTimeFormat()

  - ### setTimeFormat

    public void setTimeFormat(TimeFormat timeFormat)

  - ### getTimeHeaderCellDuration

    public int getTimeHeaderCellDuration()

  - ### setTimeHeaderCellDuration

    public void setTimeHeaderCellDuration(int timeHeaderCellDuration)

  - ### getDayEndsHour

    public int getDayEndsHour()

  - ### setDayEndsHour

    public void setDayEndsHour(int dayEndsHour)

  - ### getHourFontFamily

    public String getHourFontFamily()

  - ### setHourFontFamily

    public void setHourFontFamily(String hourFontFamily)

  - ### getHourFontSize

    public String getHourFontSize()

  - ### setHourFontSize

    public void setHourFontSize(String hourFontSize)

  - ### isCssOnly

    public boolean isCssOnly()

  - ### setCssOnly

    public void setCssOnly(boolean cssOnly)

  - ### getHourFontColor

    public String getHourFontColor()

  - ### setHourFontColor

    public void setHourFontColor(String hourFontColor)

  - ### getCssClassPrefix

    public String getCssClassPrefix()

  - ### setCssClassPrefix

    public void setCssClassPrefix(String cssClassPrefix)

  - ### isUseUtcDates

    public boolean isUseUtcDates()

  - ### setUseUtcDates

    public void setUseUtcDates(boolean useUtcDates)

  - ### getDataRecurrenceField

    public String getDataRecurrenceField()

  - ### setDataRecurrenceField

    public void setDataRecurrenceField(String dataRecurrenceField)

  - ### getResolvedWeekStart

    protected DayOfWeek getResolvedWeekStart()

  - ### getWeekStarts

    public WeekStarts getWeekStarts()

  - ### setWeekStarts

    public void setWeekStarts(WeekStarts weekStarts)

  - ### getEventSortExpression

    public String getEventSortExpression()

  - ### setEventSortExpression

    public void setEventSortExpression(String eventSortExpression)

  - ### getClientState

    public JSONObject getClientState()

  - ### setClientState

    public void setClientState(JSONObject clientState)